# Private Lock ile Kapkaç Önlemi

Günümüzde neredeyse yaşam zorunluluğu haline gelmiş mobil cihazlardan olan akıllı telefonlar, en önemli verilerimizi tuttuğumuz araçlar haline gelmiş durumdadır. Bu durum, söz konusu cihazları ciddi bir mahremiyet ve güvenlik riski haline getirmektedir.

Mobil cihazlar, çalınma ve kaybolma riski içinde kullanıldığı için [şifreleme](../cihaz_guvenligi/cihaz_sifreleme.md) zaruri bir güvenlik tedbiridir. Ancak, bilgisayarlara nazaran mobil cihazlar neredeyse hiç kapatılmadığından şifreleme anahtarları sürekli olarak RAM üzerinde durmakta ve ekran kilidinin açık olduğu her an cihazın içeriğindeki neredeyse tüm bilgiler cihazı elinde tutan herhangi biri için erişilebilir olmaktadır.

Bu tehlikenin gerçekleşme riski teorik bir tartışma değildir. [Birleşik Krallık polis teşkilatı, yasal olarak bir zanlıya kapkaç yaparak](https://www.bbc.com/news/uk-38183819) söz konusu imkanın gerçek hayatta kullanımının mümkün olduğunu herkese göstermiştir. Buna, telefonu elinizden alıp akla hayale gelmeyecek şeyler yapabilecek yakınlarınız ve arkadaşlarınızı da eklerseniz konuya karşı tedbir almak yerinde görülebilir.

## Private Lock

[Private Lock](https://github.com/wesaphzt/privatelock), [F-Droid](https://f-droid.org) yazılım deposunda bulunabilecek özgür bir yazılımdır. Private Lock, cihazınızın elinizden kapılması veya düşürülmesi gibi ani ivmelenmelerde ekranını kilitleyerek cihazınızı güvene alır.

Öncelikle F-Droid üzerinden Private Lock uygulamasını indirerek cihazınıza kurun ve çalıştırın. Kısa bir tanıtımın ardından aşağıdaki basit ekran ile karşılaşacaksınız.

![Private Lock ana ekranı](privatelock/privatelock.png)
![Private Lock hassasiyet testi](privatelock/privatelock2.png)

Private Lock ziyadesiyle basit bir yazılımdır. 0-40 arasında derecelendirilen değer, cihazınızdaki ivmeölçer sensörüne bağlı olarak hangi kuvvetlerde cihazınızın kilitleneceğini belirtir. Hemen altta bulunan dairede ise, cihazınızın sensöründen o anda gelen tepkinin değeri gösterilir. Dairenin tamamen yeşil olması durumunda telefonunuz kilitlenecektir. 0 ile 40 arasındaki dereceyi ayarlayarak, telefonunuzun içine düşebileceği koşulları deneyerek uygun ayarı bulabilirsiniz. Bir arkadaşınızdan telefonu elinizden olabildiğince nazik şekilde habersiz kapmasını isteyin. Telefonunuz kilitleninceye kadar ayarı uygun şekilde düzenleyin.

**NOT:** Ayarı çok düşük yapmanız durumunda olağan kullanımlar sırasında da can sıkıcı kilitlenmelerle karşılaşabilirsiniz.

## Ayarlar

Private Lock, çok karmaşık işlevler sunan bir yazılım olmadığından ayarlar bölümünde sadece dört tane seçenek vardır.

![Private Lock ayarlar](privatelock/privatelock3.png)

* **System start**: Cihazınız açıldığında Private Lock'ın başlamasını sağlayacaktır.

* **Haptic feedback**: Cihazınızın kilitlendiğinde bunun bir titreşim ile size bildirilmesini sağlar.

* **Run service when locked**: Ekran kilitliyken de kilitleme ve ekranı kapatma işlevinin etkin olmasını sağlar.

Ayarları dilediğiniz gibi yapabilirsiniz. Tavsiyemiz "system start" ile "run service when locked" seçeneklerinin işaretli olmasıdır.

## Dikkat edilmesi gerekenler

1. Private Lock kusursuz değildir. Kimi zaman istenmeyen zamanlarda kilitleme yapabileceğinden bununla yaşamanız gereklidir.

2. Aynı sebepten Private Lock gerçekten gerektiğinde çalışmayabilir. İvmeölçer her zaman doğru değeri ölçemediği gibi yaşanan kapkaç olayının şiddeti duruma etki edecektir. Bu durum, özellikle ayarın gereğinden yüksek yapıldığı haller için geçerlidir.

3. Private Lock sürekli olarak ivmeölçer sensörünü dinleyeceği için cihazınızın şarjından bir miktar tüketecektir. Kullanılan cihazlarda bu belirgin olmamakla birlikte dikkat edilmesi gerekebilir.








